Xerces Native Interface: Interface XMLDocumentScanner

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xni.parser
Interface XMLDocumentScanner

All Superinterfaces:
  XMLDocumentSource

public interface XMLDocumentScanner
extends XMLDocumentSource

This interface defines a generic document scanner. This interface allows a scanner to be used interchangably in existing parser configurations.

If the parser configuration uses a document scanner that implements this interface, components should be able to query the scanner instance from the component manager using the following property identifier:

> "http://apache.org/xml/properties/internal/document-scanner"

Version:
  $Id: XMLDocumentScanner.java,v 1.4 2002/11/19 01:41:38 twl Exp $
Author:
  Andy Clark, IBM

Method Summary
`boolean` | `scanDocument(boolean complete)` Scans a document.
`void` | `setInputSource(XMLInputSource inputSource)` Sets the input source.

Methods inherited from interface org.apache.xerces.xni.parser.XMLDocumentSource
`getDocumentHandler, setDocumentHandler`

Method Detail

### setInputSource

    public void setInputSource(XMLInputSource inputSource)
                        throws java.io.IOException

  Sets the input source.
  Parameters:
    `inputSource` - The input source.
  Throws:
    `java.io.IOException` - Thrown on i/o error.

### scanDocument

    public boolean scanDocument(boolean complete)
                         throws java.io.IOException,
                                XNIException

  Scans a document.
  Parameters:
    `complete` - True if the scanner should scan the document completely, pushing all events to the registered document handler. A value of false indicates that that the scanner should only scan the next portion of the document and return. A scanner instance is permitted to completely scan a document if it does not support this "pull" scanning model.
  Returns:
    True if there is more to scan, false otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.